### Function

# Json from_string

since: 1.2

#### Declaration [src]

    JsonNode*
    json_from_string (
      const char* str,
      GError** error
    )

#### Description [src]

Parses the given string and returns the corresponding JSON tree.

If the string is empty, this function will return `NULL`.

In case of parsing error, this function returns `NULL` and sets the error appropriately.

Available since: 1.2

#### Parameters

`str`

  Type: `const char*`

  A valid UTF-8 string containing JSON data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JsonNode`

The root node of the JSON tree.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.